Skip to main content

Endpoints

See information about your projects and files within a project.

info

Limited Access

The projects endpoints cannot be used with public OAuth apps.

GET team projects

You can use this endpoint to get a list of all the projects within the specified team. It returns only projects visible to the authenticated user or owner of the developer token.

It is not possible to programmatically obtain team IDs. To obtain a team ID, navigate to the team page in the Figma file browser. The team ID is present in the URL after the word team and before your team name.

info

This is a Tier 2 endpoint and requires the projects:read scope.

HTTP Endpoint

GET /v1/teams/:team_id/projects

Path parametersDescription
team_id
String
ID of the team to list projects from
Error codesDescription
400Error with the request. The "message" param on the response will describe the error.
403The developer / OAuth token is invalid or expired

GET project files

List the files in a given project.

info

This is a Tier 2 endpoint and requires the projects:read scope.

HTTP Endpoint

GET /v1/projects/:project_id/files

Path parametersDescription
project_id
String
ID of the project to list files from
branch_data
Booleandefault: false
Returns branch metadata in the response for each main file with a branch inside the project.
Error codesDescription
400Error with the request. The message param on the response will describe the error.
403The developer / OAuth token is invalid or expired

GET project metadata

Returns basic metadata about a project, such as its name, thumbnail, file count, and timestamps. Use this endpoint when you need a lightweight project preview without enumerating individual files, such as for link unfurling or search results.

This endpoint does not return any file-level data or document content. You should use this endpoint instead of GET /v1/projects/:id/files when you only need a high-level project preview.

thumbnail_url may be null if the project has no files.

note

Unlike other endpoints in this section, GET /v1/projects/:project_id/meta is available to personal access tokens (PATs) and plan-level access tokens (PLANTs). It is not available to public OAuth apps.

HTTP Endpoint

GET /v1/projects/:project_id/meta

Return value

{
"id": String,
"name": String,
"thumbnail_url": String,
"file_count": Number,
"updated_at": String,
"created_at": String
}
Path parametersDescription
project_id
String
The unique ID of the project. This can be parsed from any Figma project URL: https://www.figma.com/project/:project_id/:project_name
Error codesDescription
403The developer / OAuth token is invalid or expired, or does not include the project_metadata:read scope
404The specified project was not found
429The request was rate-limited